Draft FlipDimension/pt-br: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(One intermediate revision by one other user not shown)
Line 18: Line 18:
}}
}}


<span id="Description"></span>
==Descrição==
==Descrição==


The [[Image:Draft_FlipDimension.svg|24px]] '''Draft FlipDimension''' command rotates the dimension text of selected [[Draft_Dimension|Draft Dimensions]] 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.
The [[Image:Draft_FlipDimension.svg|24px]] '''Draft FlipDimension''' command rotates the dimension text of selected [[Draft_Dimension|Draft Dimensions]] 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.


<span id="Usage"></span>
==Utilização==
==Utilização==


# Select one or more [[Draft_Dimension|Draft Dimensions]].
# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Draft FlipDimension]]}} button.
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Flip dimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.


<span id="Notes"></span>
==Notas==
==Notas==


Line 62: Line 65:
|[[Draft_Slope/pt-br|Declive]]
|[[Draft_Slope/pt-br|Declive]]
|[[Draft_Shape2DView/pt-br|Forma 2D Vista]]
|[[Draft_Shape2DView/pt-br|Forma 2D Vista]]
|[[Draft_Module/pt-br|Draft]]
|[[Draft_Workbench/pt-br|Draft]]
|IconL=Draft_Slope.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconR=Draft_Shape2DView.svg

Latest revision as of 19:54, 7 December 2023

Draft FlipDimension

Menu location
Modification → Flip dimension
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Descrição

The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

Utilização

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Flip dimension button.
    • Select the Modification → Flip dimension option from the menu.

Notas

  • Draft Dimensions also have a DadosFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()